Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# pattern.hh File Reference

A C++ interface for GPatternSpec. More...

`#include <xfc/object.hh>`
`#include <xfc/utfstring.hh>`
`#include <glib/gpattern.h>`
`#include <xfc/glib/inline/pattern.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::G

## Classes

- class Xfc::G::PatternSpec
    A GPatternSpec C++ wrapper interface. More...

## Detailed Description

A C++ interface for GPatternSpec.

Provides PatternSpec, an object that supports Glob-style pattern matching — matches strings against patterns containing '*' (wildcard) and '?' (joker).
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3